Loading...
Searching...
No Matches
traverse.c File Reference

## Macros

#define | NO_CLUSTER -1

## Functions

FatCluster _GL_ATTRIBUTE_PURE | fat_dir_entry_get_first_cluster (FatDirEntry *dir_entry, PedFileSystem *fs)
uint32_t _GL_ATTRIBUTE_PURE | fat_dir_entry_get_length (FatDirEntry *dir_entry)
void | fat_dir_entry_get_name (const FatDirEntry *dir_entry, char *result)
int | fat_dir_entry_has_first_cluster (FatDirEntry *dir_entry, PedFileSystem *fs)
int _GL_ATTRIBUTE_PURE | fat_dir_entry_is_active (FatDirEntry *dir_entry)
int _GL_ATTRIBUTE_PURE | fat_dir_entry_is_directory (FatDirEntry *dir_entry)
int _GL_ATTRIBUTE_PURE | fat_dir_entry_is_file (FatDirEntry *dir_entry)
int | fat_dir_entry_is_null_term (const FatDirEntry *dir_entry)
int _GL_ATTRIBUTE_PURE | fat_dir_entry_is_system_file (FatDirEntry *dir_entry)
void | fat_dir_entry_set_first_cluster (FatDirEntry *dir_entry, PedFileSystem *fs, FatCluster cluster)
FatTraverseInfo * | fat_traverse_begin (PedFileSystem *fs, FatCluster start_cluster, const char *dir_name)
int | fat_traverse_complete (FatTraverseInfo *trav_info)
FatTraverseInfo * | fat_traverse_directory (FatTraverseInfo *trav_info, FatDirEntry *parent)
int _GL_ATTRIBUTE_PURE | fat_traverse_entries_per_buffer (FatTraverseInfo *trav_info)
void | fat_traverse_mark_dirty (FatTraverseInfo *trav_info)
FatDirEntry * | fat_traverse_next_dir_entry (FatTraverseInfo *trav_info)

## Macro Definition Documentation

## NO_CLUSTER

#define NO_CLUSTER -1

## Function Documentation

## fat_dir_entry_get_first_cluster()

FatCluster _GL_ATTRIBUTE_PURE fat_dir_entry_get_first_cluster | ( | FatDirEntry * | dir_entry,
|  | PedFileSystem * | fs )

## fat_dir_entry_get_length()

uint32_t _GL_ATTRIBUTE_PURE fat_dir_entry_get_length | ( | FatDirEntry * | dir_entry | ) |

## fat_dir_entry_get_name()

void fat_dir_entry_get_name | ( | const FatDirEntry * | dir_entry,
|  | char * | result )

## fat_dir_entry_has_first_cluster()

int fat_dir_entry_has_first_cluster | ( | FatDirEntry * | dir_entry,
|  | PedFileSystem * | fs )

## fat_dir_entry_is_active()

int _GL_ATTRIBUTE_PURE fat_dir_entry_is_active | ( | FatDirEntry * | dir_entry | ) |

## fat_dir_entry_is_directory()

int _GL_ATTRIBUTE_PURE fat_dir_entry_is_directory | ( | FatDirEntry * | dir_entry | ) |

## fat_dir_entry_is_file()

int _GL_ATTRIBUTE_PURE fat_dir_entry_is_file | ( | FatDirEntry * | dir_entry | ) |

## fat_dir_entry_is_null_term()

int fat_dir_entry_is_null_term | ( | const FatDirEntry * | dir_entry | ) |

## fat_dir_entry_is_system_file()

int _GL_ATTRIBUTE_PURE fat_dir_entry_is_system_file | ( | FatDirEntry * | dir_entry | ) |

## fat_dir_entry_set_first_cluster()

void fat_dir_entry_set_first_cluster | ( | FatDirEntry * | dir_entry,
|  | PedFileSystem * | fs,
|  | FatCluster | cluster )

## fat_traverse_begin()

FatTraverseInfo * fat_traverse_begin | ( | PedFileSystem * | fs,
|  | FatCluster | start_cluster,
|  | const char * | dir_name )

## fat_traverse_complete()

int fat_traverse_complete | ( | FatTraverseInfo * | trav_info | ) |

## fat_traverse_directory()

FatTraverseInfo * fat_traverse_directory | ( | FatTraverseInfo * | trav_info,
|  | FatDirEntry * | parent )

## fat_traverse_entries_per_buffer()

int _GL_ATTRIBUTE_PURE fat_traverse_entries_per_buffer | ( | FatTraverseInfo * | trav_info | ) |

## fat_traverse_mark_dirty()

void fat_traverse_mark_dirty | ( | FatTraverseInfo * | trav_info | ) |

## fat_traverse_next_dir_entry()

FatDirEntry * fat_traverse_next_dir_entry | ( | FatTraverseInfo * | trav_info | ) |